Ticket #41528

カーソル行を指定する起動時コマンドラインオプションが欲しい

Open Date: 2021-02-09 22:55 Last Update: 2021-07-17 09:53

Reporter:
(Anonymous)
Owner:
(None)
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

ある種のgitやSVN系バージョン管理ツールと連携させているケースにおいて、

WinMergeからは外部ツール起動時にカーソル行を通知できています。しかし、逆ができない?ようですので、編集中など不便です。

フォーカス画面のカーソル行指定オプション(またはJSONかなんかで)を追加してほしいです。

Ticket History (3/3 Histories)

2021-02-09 22:55 Updated by: None
  • New Ticket "カーソル行を指定する起動時コマンドラインオプションが欲しい" created
2021-04-26 21:14 Updated by: None
Comment

行番号情報をどうやって保持しているか気になりますが、類似ソフトでのオプション一覧表がありましたので参考まで、添付しておきます。(使い勝手は除く)

* TortoiseSVN 同梱のTortoiseMerge: https://tortoisesvn.net/docs/release/TortoiseMerge_ja/tme-automation.html#tme-automation-basics (表の下から三行目)

* TortoiseGit 同梱のTortoiseGitMerge: https://tortoisegit.org/docs/tortoisegitmerge/tme-automation.html (上記のfork、表の下から2行目)

2021-07-17 09:53 Updated by: sdottaka
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

遅くなってすみません。以下のコミットで実装しました。

https://github.com/WinMerge/winmerge/commit/313e152399238e06bce5d2ef57b8096c4e43a861

「/l 行番号」 で行番号を指定するようにしています。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login